package opc.ua.im.datatype;

import opc.ua.addressspace.datatype.NodeId;
import opc.ua.addressspace.nodeclasse.DataTypeNode;

public class SemanticChangeStructureDataType extends DataTypeNode {

	private NodeId affected;
	private NodeId affectedType;
	
	
	public SemanticChangeStructureDataType() {
		setBrowseName("SemanticChangeStructureDataType");
	}
	
	public NodeId getAffected() {
		return affected;
	}
	public void setAffected(NodeId affected) {
		this.affected = affected;
	}
	public NodeId getAffectedType() {
		return affectedType;
	}
	public void setAffectedType(NodeId affectedType) {
		this.affectedType = affectedType;
	}

}
